/**
* DevExtreme (ui/recurrence_editor.d.ts)
* Version: 19.1.8 (build 20016-1654)
* Build date: Thu Jan 16 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxRecurrenceEditor(): JQuery;
    dxRecurrenceEditor(options: "instance"): DevExpress.ui.dxRecurrenceEditor;
    dxRecurrenceEditor(options: string): any;
    dxRecurrenceEditor(options: string, ...params: any[]): any;
    dxRecurrenceEditor(options: DevExpress.ui.dxRecurrenceEditorOptions): JQuery;
}
}
export default DevExpress.ui.dxRecurrenceEditor;
export type Options = DevExpress.ui.dxRecurrenceEditorOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxRecurrenceEditorOptions;